## javax.faces.component
Interface EditableValueHolder

All Superinterfaces:
  ValueHolder

All Known Implementing Classes:
  UIInput

public interface EditableValueHolder
extends ValueHolder

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Method Summary
`void` `addValidator(Validator validator)`
`void` `addValueChangeListener(ValueChangeListener listener)`
`java.lang.Object` `getSubmittedValue()`
`MethodBinding` `getValidator()`
`Validator[]` `getValidators()`
`MethodBinding` `getValueChangeListener()`
`ValueChangeListener[]` `getValueChangeListeners()`
`boolean` `isImmediate()`
`boolean` `isLocalValueSet()`
`boolean` `isRequired()`
`boolean` `isValid()`
`void` `removeValidator(Validator validator)`
`void` `removeValueChangeListener(ValueChangeListener listener)`
`void` `setImmediate(boolean immediate)`
`void` `setLocalValueSet(boolean localValueSet)`
`void` `setRequired(boolean required)`
`void` `setSubmittedValue(java.lang.Object submittedValue)`
`void` `setValid(boolean valid)`
`void` `setValidator(MethodBinding validatorBinding)`
`void` `setValueChangeListener(MethodBinding valueChangeMethod)`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter, setValue`

Method Detail

### getSubmittedValue

    public java.lang.Object getSubmittedValue()

### setSubmittedValue

    public void setSubmittedValue(java.lang.Object submittedValue)

### isLocalValueSet

    public boolean isLocalValueSet()

### setLocalValueSet

    public void setLocalValueSet(boolean localValueSet)

### isValid

    public boolean isValid()

### setValid

    public void setValid(boolean valid)

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

### isImmediate

    public boolean isImmediate()

### setImmediate

    public void setImmediate(boolean immediate)

### getValidator

    public MethodBinding getValidator()

### setValidator

    public void setValidator(MethodBinding validatorBinding)

### getValueChangeListener

    public MethodBinding getValueChangeListener()

### setValueChangeListener

    public void setValueChangeListener(MethodBinding valueChangeMethod)

### addValidator

    public void addValidator(Validator validator)

### getValidators

    public Validator[] getValidators()

### removeValidator

    public void removeValidator(Validator validator)

### addValueChangeListener

    public void addValueChangeListener(ValueChangeListener listener)

### getValueChangeListeners

    public ValueChangeListener[] getValueChangeListeners()

### removeValueChangeListener

    public void removeValueChangeListener(ValueChangeListener listener)